""" Reads an XML template from a file """

import os
import jinja2


class XMLTemplate:
    """ Reads and instanciates a template from a file """

    base_path = os.path.dirname(os.path.abspath(__file__))
    env = jinja2.Environment(
        loader=jinja2.FileSystemLoader(base_path),
        autoescape=jinja2.select_autoescape(
            enabled_extensions=("xml"), default_for_string=True,
        ),
    )

    def __init__(self, path):
        self.template = self.env.get_template(path)

    def inst(self, *args, **kwargs):
        """ instanciates the template """
        return self.template.render(*args, **kwargs)
